/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/
import React, { useState } from 'react';
import TextField from '@material-ui/core/TextField';

const NoteVarInputs = ( props ) => { 

    const [name , setName] = useState(props.editInfo.name) 
    const [code , setCode] = useState(props.editInfo.code) 
    const [weight , setWeight] = useState(props.editInfo.weight) 

    return (
        <form  style={{width : '25%' , display: 'flex' , flexDirection : 'column'}}>
            <TextField
                id="outlined-input"
                label="ID *não pode mudar"
                defaultValue={props.editInfo.id} //valor recebido por prop
                variant="outlined"
                disabled={true}
            />   
            <div style={{ height: '1em' }} />
 
            <TextField
                id="outlined-input"
                label="Nome"
                value={name} 
                onChange={e => setName(e.target.value)}
                variant="outlined"
            /> 
            <div style={{ height: '1em' }} />

            <TextField
                id="outlined-input"
                label="Código"
                value={code} 
                onChange={e => setCode(e.target.value)}
                variant="outlined"
            /> 
            <div style={{ height: '1em' }} />

            <TextField
                id="outlined-input"
                label="Peso"
                value={weight} 
                onChange={e => setWeight(e.target.value)}
                variant="outlined"
            /> 
            <div style={{ height: '1em' }} />

        </form>
    )
}

export default NoteVarInputs;